.aiMenu__wrapper{
   margin-top: 4%;
}
.aiMenu__inner {
   background: #ffe0e0;
   border-radius: 8px;
   padding: 17px;
   display: flex;
   flex-wrap: wrap;
   column-gap: 14px;
   row-gap: 8px;
   justify-content: center;
}
.aiMenu__icon img{
   width: 50px;
   display: block;
}
.aiMenu__title p {
   font-size: 24px;
   line-height: 1em;
   font-weight: 600;
}
.aiMenu__title__small {
   font-size: 0.9em!important;
   font-weight: 300!important;
}
.aiMenu__btn {
   background: #ffffff;
   border: 2px solid #c8141d;
   padding: 2%;
   color: #c8141d;
   font-weight: 600;
   border-radius: 50px;
   width: 45%;
   text-align: center;
   margin: 0 auto;
}
.aiMenu__btn:hover {
   opacity: 0.8!important;
}
@media screen and (max-width: 425px) {
   .aiMenu__inner {
       column-gap: 8px;
       row-gap: 8px;
       padding: 14px 10px;
       align-items: center;
   }
   .aiMenu__icon img{
       width: 40px;
   }
   .aiMenu__title__small {
       font-size: 14px!important;
   }
   .aiMenu__title p {
       font-size: 22px;
   }
}
.modModal__contents--aiMenu {
  height: 100svh;
}
.modModal__contents--aiMenu .modModal__contents__inner {
  height: 100%;
  max-height: none;
  overflow-y: auto;
}
.modModal__contents__text {
  list-style-type: none;
  padding: 1em;
  margin-bottom: 4px;
  line-height: 1.5em;
}
.modModal__contents__text li {
  display: flex;
  align-items: center;
  gap: 0 5px;
  padding: .3em;
  align-items: flex-start;
}

.modModal__contents__text li::before {
  display: inline-block;
  width: 10px;
  height: 5px;
  border-bottom: 2px solid #c8141d;
  border-left: 2px solid #c8141d;
  transform: rotate(-45deg) translateY(-1.5px);
  content: '';
  flex-shrink: 0;
  margin-top: calc((1em * 2 - 1em) / 2 + 0.1em);
}

.modListForm__text {
  margin-bottom: 28px;
}

/*-------　アコーディオン　-------*/
.accordion__content__showAll {
  display: flex;
  gap: 6px;
  align-items: center;
  cursor: pointer;
  font-weight: 600;
  width: 200px;
  margin: 30px auto 30px;
/* -------Safariデフォルトの三角アイコン削除 -------*/
  &::-webkit-details-marker {
      display: none;
  }
}
.accordion__icon {
  display: block;
  position: relative;
  width: 24px;
  transform-origin: center 43%;
  transition: transform 0.4s;
  /* アイコンのバーのスタイル */
  &::before, &::after {
      content: "";
      position: absolute;
      display: block;
      width: 10px;
      height: 3px;
      background-color: #333;
  }
  &::before {
      left: 4px;
      transform: rotate(45deg);
  }
  &::after {
      right: 4px;
      transform: rotate(-45deg);
  }
}
/*------- アコーディオンが開いた時のスタイル -------*/
details[open] .accordion__icon {
  transform: rotate(180deg);
}
/*------- ボタンスタイル -------*/
.modListBtn {
  column-gap: 14px;
}
.btnWhite {
  background-color: #ffffff;
  border: 2px solid #333;
}
.btnWhite .modBtn__text {
  color: #333;
}
.btn--reverse {
  flex-direction: row-reverse;
  margin-top: 20px;
  height: auto;
}
.modBtn--subPrimary:hover,
.btnWhite:hover {
  opacity: 0.8;
}
.modFormSelect {
  max-width: 100%;
}
.searchResult__Heading {
  display: flex;
  gap:5px;
  margin-top: 30px;
}
.circleClip {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  margin-top: 8px
}
.searchResult__HeadingText {
  position: relative;
  margin-top: 8px;
  margin-left: 10px;
  padding: 12px 18px;
  border-radius: 8px;
  background-color: #ffe0e0;
  text-align: center;
  font-size: 18px;
  font-weight: 400;
  letter-spacing: 0;
  color: #333333;
}
.searchResult__HeadingText::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 0;
  border-style: solid;
  border-width: 8.5px 16px 8.5px 0;
  border-color: transparent #ffffff transparent transparent;
  translate: -100% -50%;
}
.searchResult__HeadingText::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 0;
  border-style: solid;
  border-width: 6.2px 11.7px 6.2px 0;
  border-color: transparent #ffe0e0 transparent transparent;
  translate: -100% -50%;
}
.aiMenu__searchResult {
  margin: 10px auto 50px;
}
.aiMenu__searchResult h3 {
  font-size: 1.5em;
  font-weight: 600;
  padding: 0.75rem 0px 0.75rem;
  border-bottom: 3px solid #000;
  margin: 0 0 14px;
}
.aiMenu__searchResult h5 {
 font-weight: 600;
  margin: 18px 0 10px;
  padding: 4px 15px;
  background: #eee;
  border-radius: 5px;
}
.aiMenu__searchResult__inner ul {
  list-style: disc;
  margin-left: 34px;
}
.aiMenu__searchResult__inner ol {
  list-style: auto;
  margin-left: 34px;
}
.aiMenu__searchResult__totalPrice {
  position: relative;
  padding: 20px;
}
.totalCost {
  position: absolute;
  font-size: 20px;
  font-weight: 600;
  right: 0;
  top: 0
}
.totalCost span {
  background: linear-gradient(transparent 50%, #ffe629 50%);
}
.aiMenu__icon {
  display: flex;
  align-items: center;
  gap: 10px;
}
.modModal__contents__title {
  margin: 0;
}
.aiMenu__product {
  margin-bottom: 24px;
}
.aiMenu__product__title {
  font-size: 1.2em;
  font-weight: 600;
  margin-bottom: 5px;
}
.aiMenu__product img {
  border-radius: 8px;
}
.modListBtn {
  height: auto;
}
.seachHistory__wrap {
  margin: 90px auto 20px;
}
.seachHistory__inner {
  padding: 22px;
  border: 3px solid #ddd;
  border-radius: 12px;
}
.seachHistory__inner span {
  display: block;
  margin-bottom: 4px;
  font-size: 14px;
}
.seachFilter {
  font-size: 14px;
}
.errorMessage__text {
  padding: 12px 14px 12px 26px;
  margin: 2em auto;
}
.errorMessage__text p {
  color: #c8141d;
  gap: 8px;
  display: flex;
  position: relative;
}
.reference_url {
  text-decoration: underline;
}
@media screen and (max-width: 425px) {
  .modListForm__item__inner {
      margin: 0 0 20px 0;
  }
  .modModal__contents__text {
      padding: 1em 0;
  }
  .modModal__contents__text li{
      gap: 0 8px;
  }
  .modModal__contents__text li::before {
      width: 13px
      border-bottom: 3px solid #c8141d;
      border-left: 3px solid #c8141d;
  }
  .modalIcoon img {
      width: 58px;
  }
  .btn--reverse {
      display: block;
  }
  .modListBtn__item {
      margin-bottom: 18px;
  }
  .aiMenu__searchResult__totalPrice {
      padding: 10px;
      margin: 20px auto 30px;
  }
  .aiMenu__product__title {
      font-size: 1em;
  }
  .errorMessage__text p {
      font-size: 15px;
  }
}
